
-- all filetables, current database
select * from sys.filetables

-- new 'is_filetable' column
select * from sys.tables

-- all databases, filestream non_transacted_access info
select db.name, fso.* 
from sys.database_filestream_options fso
join sys.databases db
on fso.database_id = db.database_id
order by db.database_id;
GO

-- all filetable objects, current database
select o.name as [Object Name], p.name as [Parent Name] 
from sys.filetable_system_defined_objects fto
join sys.objects o
on fto.object_id = o.object_id
join sys.objects p
on fto.parent_object_id = p.object_id

-- non-transacted handles
select * from sys.dm_filestream_non_transacted_handles

-- get filestream non-transacted handle and kill it
DECLARE @handle_id varbinary(16);
DECLARE @table_name sysname;

SELECT TOP 1 @handle_id = handle_id, @table_name = 'Documents'
FROM sys.dm_FILESTREAM_non_transacted_handles;

SELECT @handle_id

EXEC sp_kill_filestream_non_transacted_handles @table_name, @handle_id;
GO

